#!/usr/bin/env python
# -*- coding: UTF-8 -*-
# ##################################################################
# Dieses Script mountet ein TrueCrypt-Volume. Dabei wird der
# Mountpoint auf den Namen des TrueCrypt-Volumes gesetzt.
#
# Das File                       /media/Backup 756/Backup 756.tc
# wuerde gemountet werden nach   /300GB/tc/Backup 756
#
# Oder   /media/ext009/ext009.tc
# nach   /300GB/tc/ext009
#
# Bzw    /run/media/dede/ext010/ext010.tc
# nach   /300GB/tc/ext010
#
#  D.Ahlgrimm 28.03.2012
# ##################################################################

import os
import sys
import subprocess

basedir="/300GB/tc/"   # hier landen die Mountpoints

if len(sys.argv)!=2:
  print "Fehler!  Mehr als ein Parameter uebergeben."
  sys.exit(1)

tccfullname=sys.argv[1]                   # der Name des TC-Containers samt Pfad
tccfilename=os.path.basename(tccfullname) # der Name des TC-Containers ohne Pfad

if tccfilename.lower().endswith(".tc")==False:
  print "Fehler!  Datei endet nicht auf .tc."
  sys.exit(1)

mountname=tccfilename[0:len(tccfilename)-3]       # der Name des TC-Containers ohne Extension
neuermountpoint=os.path.join(basedir, mountname)  # der Name des MountPoint-Verzeichnisses mit Pfad

if os.path.exists(neuermountpoint)==False: # MountPoint-Verzeichnis anlegen
  os.mkdir(neuermountpoint)

if os.path.exists(neuermountpoint)==False:
  print "Fehler!  Verzeichnis konnte nicht angelegt werden."
  sys.exit(1)

cmd=['realcrypt', tccfullname, neuermountpoint]
print cmd
process=subprocess.Popen(cmd, shell=False, stdout=subprocess.PIPE)
rc=process.communicate()

